Bug 1312881 - tidy: Use-after-free caused by mishandling control characters
Summary: tidy: Use-after-free caused by mishandling control characters
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1312883 1312884
Blocks: 1312882
TreeView+ depends on / blocked
 
Reported: 2016-02-29 12:42 UTC by Adam Mariš
Modified: 2019-09-29 13:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-07 04:51:28 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-02-29 12:42:35 UTC
Use-after-free vulnerability was found in tidy caused by mishandling cnotrol characters, especially NULL character.

Upstream bug:

https://github.com/htacg/tidy-html5/issues/341

Upstream fix:

https://github.com/htacg/tidy-html5/pull/368

Comment 1 Adam Mariš 2016-02-29 12:45:37 UTC
Created tidy tracking bugs for this issue:

Affects: fedora-all [bug 1312883]
Affects: epel-all [bug 1312884]


Note You need to log in before you can comment on or make changes to this bug.